com.hammurapi.extract

## Class LessEqual<T,V extends Comparable<V>,C>

- java.lang.Object
- - com.hammurapi.extract.ExtractorBase<T,Boolean,C>
  - - com.hammurapi.extract.ComparisonPredicate<T,V,C>
    - - com.hammurapi.extract.LessEqual<T,V,C>

- All Implemented Interfaces:
    BinaryExtractor<T,V,C>, Extractor<T,Boolean,C>, Mappable<T,Boolean,C>, Predicate<T,C>

      public class LessEqual<T,V extends Comparable<V>,C>
      extends ComparisonPredicate<T,V,C>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hammurapi.extract.ComparisonPredicate

      `ComparisonPredicate.PromotionLevel`

  - ### Field Summary

    - ### Fields inherited from class com.hammurapi.extract.ComparisonPredicate

      `leftExtractor, parameterIndices, rightExtractor`

    - ### Fields inherited from class com.hammurapi.extract.ExtractorBase

      `cost, costUnit, initialCost, invocations, nanos, totalCost`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LessEqual(double initialCost, TimeUnit costUnit, Extractor<T,V,C> leftExtractor, Extractor<T,V,C> rightExtractor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `compare(double n1, double n2)`
    `protected boolean` | `compare(float n1, float n2)`
    `protected boolean` | `compare(int n1, int n2)`
    `protected boolean` | `compare(long n1, long n2)`
    `protected boolean` | `compare(Object o1, Object o2)`
    `ComparisonResult` | `compareTo(Extractor<T,Boolean,C> otherPredicate)` Basic comparisons with True and False.
    `protected Extractor<T,Boolean,C>` | `newInstance(Extractor<T,V,C> leftExtractor, Extractor<T,V,C> rightExtractor)`

    - ### Methods inherited from class com.hammurapi.extract.ComparisonPredicate

      `equals, extractInternal, getCost, getLeftExtractor, getRightExtractor, hashCode, isContextDependent, map, operandsAreEqual, operandsAreReverseEqual, parameterIndices, promote, toString`

    - ### Methods inherited from class com.hammurapi.extract.ExtractorBase

      `createCacheEntry, extract`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hammurapi.extract.Extractor

      `extract`

- - ### Constructor Detail

    - #### LessEqual

          public LessEqual(double initialCost,
                   TimeUnit costUnit,
                   Extractor<T,V,C> leftExtractor,
                   Extractor<T,V,C> rightExtractor)

  - ### Method Detail

    - #### compareTo

          public ComparisonResult compareTo(Extractor<T,Boolean,C> otherPredicate)

      Description copied from class: `ExtractorBase`
      Basic comparisons with True and False.
      Specified by:
        `compareTo` in interface `Extractor<T,Boolean,C>`
      Overrides:
        `compareTo` in class `ExtractorBase<T,Boolean,C>`
      Parameters:
        `otherPredicate` - Other extractor
      Returns:
        Comparison result.

    - #### compare

          protected boolean compare(int n1,
                        int n2)

      Specified by:
        `compare` in class `ComparisonPredicate<T,V extends Comparable<V>,C>`

    - #### compare

          protected boolean compare(long n1,
                        long n2)

      Specified by:
        `compare` in class `ComparisonPredicate<T,V extends Comparable<V>,C>`

    - #### compare

          protected boolean compare(float n1,
                        float n2)

      Specified by:
        `compare` in class `ComparisonPredicate<T,V extends Comparable<V>,C>`

    - #### compare

          protected boolean compare(double n1,
                        double n2)

      Specified by:
        `compare` in class `ComparisonPredicate<T,V extends Comparable<V>,C>`

    - #### compare

          protected boolean compare(Object o1,
                        Object o2)

      Specified by:
        `compare` in class `ComparisonPredicate<T,V extends Comparable<V>,C>`

    - #### newInstance

          protected Extractor<T,Boolean,C> newInstance(Extractor<T,V,C> leftExtractor,
                                           Extractor<T,V,C> rightExtractor)

      Specified by:
        `newInstance` in class `ComparisonPredicate<T,V extends Comparable<V>,C>`